package a3test.debug;

import jp.sourceforge.acerola3d.a3.*;
/*
 * 2009,11/24。一番最初のフレームがきちんと表示されていない。
 * たぶん、最初のフレームでBVHの情報が反映されていないのが原因で、
 * 表示位置がずれるのと、Angryが表示されない。
 * ActionBehaviorのinitialize()でprocessStimulus()を
 * 呼ぶようにしたらなおったようだ。他に影響がないかチェックするべし。
 */
public class FirstFrame {
    public static void main(String args[]) throws Exception {
        A3Window window = new A3Window(300,300);
        window.setCameraLocImmediately(0.0,0.5,3.0);
        Action3D a3 = new Action3D("x-res:///Smiley.a3");
        window.add(a3);
    }
}
